SREPORT(1)

NAME
sreport - Used to generate reports from the slurm accounting data.

SYNOPSIS
sreport [OPTIONS...] [COMMAND...]

DESCRIPTION
sreport is used to generate certain reports. More can be added at any time. It provides a view into accounting data gathered from slurm via the account information maintained within a database with the interface being provided by the slurmdbd (Slurm Database daemon).

OPTIONS

-a, --all_clusters
    Use all clusters instead of only cluster from where the command was run.

-h, --help
    Print a help message describing the usage of sreport. This is equivalent to the help command.

-n, --no_header
    Don't display header when listing results.

-p, --parsable
    Output will be '|' delimited with a '|' at the end.

-P, --parsable2
    Output will be '|' delimited without a '|' at the end.

-q, --quiet
    Print no warning or informational messages, only error messages. This is equivalent to the quiet command.

-t <format>
    Specify the output time format. Time format options are case insensitive and may be abbreviated. The default format is Minutes. Supported time format options are listed with the time command below.

-v, --verbose
    Print detailed event logging. This is equivalent to the verbose command.

-V , --version
    Print version information and exit. This is equivalent to the version command.

COMMANDS

exit
    Terminate the execution of sreport. Identical to the quit command.

help
    Display a description of sreport options and commands.

quiet
    Print no warning or informational messages, only fatal error messages.

quit
    Terminate the execution of sreport. Identical to the exit command.

time <time_format>
    Specify the output time format. Time format options are case insensitive and may be abbreviated. The default format is Minutes. Supported time format options include:

    SecPer
        Seconds/Percentage of Total

    MinPer
        Minutes/Percentage of Total

    HourPer
        Hours/Percentage of Total

    Seconds
        Seconds

    Minutes
        Minutes

    Hours
        Hours

    Percent
        Percentage of Total

verbose
    Print detailed event logging. This includes time-stamps on data structures, record counts, etc. This is an independent command with no options meant for use in interactive mode.

version
    Display the version number of sreport being executed.
         -q or --quiet: equivalent to

!!  Repeat the last command executed.

REPORT TYPES

cluster, job, and user

Various reports are as follows...
         cluster - AccountUtilizationByUser, UserUtilizationByAccount,
         UserUtilizationByWckey, Utilization, WCKeyUtilizationByUser
         job - Sizes
         user - TopUsage

REPORT DESCRIPTION

    cluster AccountUtilizationByUser
        This report will display account utilization as it appears on the hierarchical tree. Starting with the specified account or the root account by default this report will list the underlying usage with a sum on each level. Use the 'tree' option to span the tree for better visibility.

    cluster UserUtilizationByAccount
        This report will display users by account in order of utilization without grouping multiple accounts by user into one, but displaying them on separate lines.

    cluster UserUtilizationByWCKey
        This report will display users by wckey in order of utilization without grouping multiple wckey by user into one, but displaying them on separate lines.

    cluster Utilization
        This report will display total usage divided by Allocated, Down, Idle, and resrved time for selected clusters. Reserved time refers to time that a job was waiting for resources after the job had become eligible. If the value is not of importance for you the number should be grouped with idle time.

    cluster WCKeyUtilizationByUser
        This report will display wckey utilization sorted by WCKey name for each user on each cluster.

    job Sizes
        This report will dispay the amount of time used for job ranges specified by the 'grouping=' option. Only a single level in the tree is displayed defaulting to the root dir. If you specify other accounts with the 'account=' option sreport will use those accounts as the root account and you will receive the sub accounts for the accounts listed.

    user TopUsage
        Displays the top users on a cluster. Use the group option to group accounts together. The default is to have a different line for each user account combination.

    Each report type has various options...

    COMMON FOR ALL TYPES

        All_Clusters
            Use all monitored clusters default is local cluster.

        End=<OPT>
            Period ending for report. Default is 23:59:59 of previous day.

        Format=<OPT>
            Comma separated list of fields to display in report.

        Start=<OPT>
            Period start for report. Default is 00:00:00 of previous day.

    CLUSTER

        Names=<OPT>
            List of clusters to include in report. Default is local cluster.

        Tree
            When used with the AccountUtilizationByUser report will span the accounts as they in the hierarchy.

    JOB

        Accounts=<OPT>
            List of accounts to use for the report Default is all.

        Clusters=<OPT>
            List of clusters to include in report. Default is local cluster.

        GID=<OPT>
            List of group ids to include in report. Default is all.

        Grouping=<OPT>
            Comma separated list of size groupings. (i.e. 50,100,150 would group job cpu count 1-49, 50-99, 100-149, > 150).

        Jobs=<OPT>
            List of jobs/steps to include in report. Default is all.

        Partitions=<OPT>
            List of partitions jobs ran on to include in report. Default is all.

        PrintJobCount
            When used with the Sizes report will print number of jobs ran instead of time used.

        TopCount=<OPT>
            Used in the TopUsage report. Change the number of users displayed. Default is 10.

        Users=<OPT>
            List of users jobs to include in report. Default is all.

    USER

        Clusters=<OPT>
            List of clusters to include in report. Default is local cluster.

        Group
            Group all accounts together for each user. Default is a separate entry for each user and account reference.

        Users=<OPT>
            List of users jobs to include in report. Default is all.

EXAMPLES
> sreport job sizes
> sreport cluster utilization
> sreport user top

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
sacct(1), slurmdbe(8)